<?php 
	get_header(); 
	$favita_settings = favita_global_settings();
	$background = favita_get_config('background');
	$bgs = isset($favita_settings['img-404']['url']) && $favita_settings['img-404']['url'] ? $favita_settings['img-404']['url'] : "";
?>
<div class="container">
	<div class="page-404">
		<div class="img-404">
			<?php if($bgs){ ?>
				<img src="<?php echo esc_url($bgs); ?>" alt="<?php echo esc_attr__('Image 404','favita'); ?>">
			<?php }else{ ?>
				<img src="<?php echo esc_url(get_template_directory_uri().'/images/image_404.png'); ?>" alt="<?php echo esc_attr__('Image 404','favita'); ?>" >							
			<?php } ?>	
		</div>
		<div class="content-page-404">
			<div class="title-error"><?php echo ( isset($favita_settings['title-error']) && $favita_settings['title-error'] ) ? $favita_settings['title-error'] : esc_html__('Something Went Wrong', 'favita'); ?></div>
			<div class="sub-error">
				<?php 
				if(isset($favita_settings['sub-error']) || isset($favita_settings['sub-error-1'])){
					if(isset($favita_settings['sub-error'])){
						echo esc_html($favita_settings['sub-error']);
					}
				?>
				<a class="btn" href="<?php echo esc_url( home_url('/') ); ?>"><?php echo ( isset($favita_settings['btn-error']) && $favita_settings['btn-error'] ) ? esc_html($favita_settings['btn-error']) : esc_html__('homepage', 'favita'); ?></a>
				<?php
					if(isset($favita_settings['sub-error-1'])){
						echo esc_html($favita_settings['sub-error-1']);
					}
				}else{
					echo esc_html__('The page you were looking for does not exist return to ', 'favita');
				?>
				<a class="btn" href="<?php echo esc_url( home_url('/') ); ?>"><?php echo ( isset($favita_settings['btn-error']) && $favita_settings['btn-error'] ) ? esc_html($favita_settings['btn-error']) : esc_html__('homepage', 'favita'); ?></a>
				<?php
					echo esc_html__('or explore', 'favita');
				}	
				?>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();