<?php   
	if( !is_array( $category ) ){
		$category = explode( ',', $category );
	}
	$widget_id = 'tab_category_'.rand().time();
	$numberposts = (int)$numberposts;
	$class_col_lg = ($columns == 5) ? '2-4'  : (12/$columns);
	$class_col_md = ($columns1 == 5) ? '2-4'  : (12/$columns1);
	$class_col_sm = ($columns2 == 5) ? '2-4'  : (12/$columns2);
	$class_col_xs = ($columns3 == 5) ? '2-4'  : (12/$columns3);
	$attributes = 'col-lg-'.$class_col_lg .' col-md-'.$class_col_md .' col-sm-'.$class_col_sm .' col-xs-'.$class_col_xs;	
?>
<div class="bwp-woo-tab-cat <?php echo esc_attr($layout); ?>">
	<div class="bwp-category-tab clearfix">
		<?php if(isset($title1) && $title1) { ?>
		<div class="title-block">
			<h2><?php echo esc_html($title1); ?></h2>
			<?php if($description) { ?>
			<div class="page-description"><?php echo $description; ?></div>
			<?php } ?>
		</div>
		<?php } ?>
		<div class="category-nav">
			<ul class="nav nav-tabs">
			<?php
				foreach($category as $key => $cat){	?>
						<?php if($cat == 'all'){?>
							<li class="<?php if( ( $key + 1 ) == $tab_active ){echo 'active'; }?>">
								<a href="#<?php echo esc_attr($widget_id).'_' . $cat; ?>" data-toggle="tab">
									<?php echo esc_html__( "All", 'wpbingo'); ?>
								</a>
							</li>
						<?php }else{?>
							<?php 
							$terms = get_term_by('slug', $cat, 'product_cat');		
							if($terms) : ?>
							<li class="<?php if( ( $key + 1 ) == $tab_active ){echo 'active'; }?>">
								<a href="#<?php echo esc_attr($widget_id).'_'. $cat; ?>" data-toggle="tab">
									<?php echo $terms->name; ?>
								</a>
							</li>	
							<?php endif; ?>		
						<?php }?>			
				<?php } ?>
			</ul>
		</div>

	</div>
	<div class="tab-content bwp-category-content">
		<?php
			foreach($category as $key => $cat){
				switch ($select_order) {
					case 'latest':
						$default = array(
							'post_type'	=> 'product',
							'tax_query'	=> array(
								array(
									'taxonomy'	=> 'product_cat',
									'field'		=> 'slug',
									'terms'		=> $cat)),
							'orderby' => 'date',
							'order' => $order,
							'post_status' => 'publish',
							'posts_per_page' => $numberposts
						);
						break;
					case 'rating':
						$default = array(
							'post_type' 			=> 'product',
							'post_status' 			=> 'publish',
							'ignore_sticky_posts'   => 1,
							'tax_query'	=> array(
							array(
								'taxonomy'	=> 'product_cat',
								'field'		=> 'slug',
								'terms'		=> $cat)),
							'orderby' 				=> $orderby,
							'order'					=> $order,
							'posts_per_page' 		=> $numberposts
						);
						add_filter( 'posts_clauses',  'order_by_rating_post_clauses'  );
						break;
					case 'bestsales':
						$default = array(
							'post_type' 			=> 'product',
							'post_status' 			=> 'publish',
							'ignore_sticky_posts'   => 1,
							'tax_query'	=> array(
								array(
									'taxonomy'	=> 'product_cat',
									'field'		=> 'slug',
									'terms'		=> $cat)),
							'paged'	=> 1,
							'posts_per_page'				=> $numberposts,
							'meta_key' 		 		=> 'total_sales',
							'orderby' 		 		=> 'meta_value_num'
						);
						break;
						
					case 'featured':
						$default = array(
							'post_type'				=> 'product',
							'post_status' 			=> 'publish',
							'tax_query'	=> array(
								array(
									'taxonomy'	=> 'product_cat',
									'field'		=> 'slug',
									'terms'		=> $cat)),
							'ignore_sticky_posts'	=> 1,
							'posts_per_page' 		=> $numberposts,
							'orderby' 				=> $orderby,
							'order' 				=> $order,
							'meta_query'			=> array(
								array(
									'key' 		=> '_featured',
									'value' 	=> 'yes'
								)
							)
						);
						break;
						
				}
			if($cat == 'all')
				unset($default['tax_query']);	
			
			$list = new WP_Query( $default );
			$post_count = $list->post_count;
			do_action( 'before' );
			$j = 1;
		?>
		<div class="tab-pane tab-category-pane<?php if( ( $key + 1 ) == $tab_active ){echo ' active'; }?>" id="<?php echo esc_attr($widget_id).'_'. esc_attr($cat); ?>">
			<div id="<?php echo esc_attr($select_order).'_category_id_'.esc_attr($cat); ?>" class="tab-category-container  clearfix">
				<div class="category-container products-list grid row">
					<?php while($list->have_posts()): $list->the_post();
					global $product, $post, $wpdb, $average; ?>
					<?php	if( ( $j % 5 ) == 1 || ( $j % 5 ) == 2 ) { ?>
					<div class="item <?php echo esc_attr($attributes); ?>">
						<div class="row">
						<?php } ?>
							<?php	if( $j % 5 == 1 ) { ?>
							<div class="item-product col-lg-12 col-sm-12 col-xs-12">
								<?php include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'content-product.php'); ?>
							</div>
							<?php }else{ ?>
							<div class="item-product collg-6 col-md-6 col-sm-6 col-xs-12">
								<?php include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'content-product.php'); ?>
							</div>					
							<?php } ?>
						<?php if( ( $j % 5 ) == 1 || ( $j % 5 ) == 0 || $j == $post_count ){ ?> 
						</div>
					</div>
					<?php  } $j++;?>
					<?php endwhile; wp_reset_postdata();?>
				</div>
			</div>			
		</div>
		<?php
		} 
		?>
	</div>
</div>