<?php   
	if( !is_array( $category ) ){
		$category = explode( ',', $category );
	}  	
	$widget_id = 'tab_category_'.rand().time();
	$numberposts = (int)$numberposts;
?>
<div class="bwp-woo-tab-cat slider2">
	<?php if(isset($title1) && $title1) { ?>
	<div class="title-block">
		<h2><?php echo esc_html($title1); ?></h2>
		<?php if($description) { ?>
		<div class="page-description"><?php echo $description; ?></div>
		<?php } ?> 
	</div>
	<?php } ?>
	<div class="row">
		<div class="col-lg-4 col-md-5 col-sm-12">
			<div class="category-nav">
				<ul class="nav nav-tabs">
				<?php
					foreach($category as $key => $cat){ ?>
							<?php
							$term = get_term_by('slug', $cat, 'product_cat');	
							$icon_category = get_term_meta( $term->term_id, 'category_icon', true ); 
							?>
							<?php if($cat == 'all'){?>
								<li class="<?php if( ( $key + 1 ) == $tab_active ){echo 'active'; }?>">
									<a href="#<?php echo esc_attr($widget_id).'_' . $cat; ?>" data-toggle="tab">
										<?php echo esc_html__( "All", 'wpbingo'); ?>
									</a>
								</li>
							<?php }else{?>
								<?php $terms = get_term_by('slug', $cat, 'product_cat');
								if($terms) : ?> 
								<li class="<?php if( ( $key + 1 ) == $tab_active ){echo 'active'; }?>">					
									<a href="#<?php echo esc_attr($widget_id).'_'. $cat; ?>" data-toggle="tab">
										<?php if(isset($show_icon) && $show_icon) : ?>
											<?php if(isset($icon_category) && $icon_category) : ?>
												<i class="<?php echo esc_attr($icon_category); ?>"></i>
											<?php endif;?>
										<?php endif;?>	
										<?php echo esc_html($terms->name); ?>
									</a>
								</li>
								<?php endif; ?>	
							<?php }?>			
						<?php } ?>
				</ul>
			</div>
		</div>
		<div class="col-lg-8 col-md-7 col-sm-12">
			<div class="tab-content bwp-category-content">
				<?php
					foreach($category as $key => $cat){
						switch ($select_order) {
							case 'latest':
								$default = array(
									'post_type'	=> 'product',
									'tax_query'	=> array(
										array(
											'taxonomy'	=> 'product_cat',
											'field'		=> 'slug',
											'terms'		=> $cat)),
									'orderby' => 'date',
									'order' => $order,
									'post_status' => 'publish',
									'posts_per_page' => $numberposts
								);
								break;
							case 'rating':
								$default = array(
									'post_type' 			=> 'product',
									'post_status' 			=> 'publish',
									'ignore_sticky_posts'   => 1,
									'tax_query'	=> array(
									array(
										'taxonomy'	=> 'product_cat',
										'field'		=> 'slug',
										'terms'		=> $cat)),
									'orderby' 				=> $orderby,
									'order'					=> $order,
									'posts_per_page' 		=> $numberposts,
									'meta_query' 			=> array(
										array(
											'key' 			=> '_visibility',
											'value' 		=> array('catalog', 'visible'),
											'compare' 		=> 'IN'
										)
									)
								);
								add_filter( 'posts_clauses',  'order_by_rating_post_clauses'  );
								break;
							case 'bestsales':
								$default = array(
									'post_type' 			=> 'product',
									'post_status' 			=> 'publish',
									'ignore_sticky_posts'   => 1,
									'tax_query'	=> array(
										array(
											'taxonomy'	=> 'product_cat',
											'field'		=> 'slug',
											'terms'		=> $cat)),
									'paged'	=> 1,
									'posts_per_page'				=> $numberposts,
									'meta_key' 		 		=> 'total_sales',
									'orderby' 		 		=> 'meta_value_num',
									'meta_query' 			=> array(
										array(
											'key' 		=> '_visibility',
											'value' 	=> array( 'catalog', 'visible' ),
											'compare' 	=> 'IN'
										)
									)
								);
								break;
								
							case 'featured':
								$default = array(
									'post_type'				=> 'product',
									'post_status' 			=> 'publish',
									'tax_query'	=> array(
										array(
											'taxonomy'	=> 'product_cat',
											'field'		=> 'slug',
											'terms'		=> $cat)),
									'ignore_sticky_posts'	=> 1,
									'posts_per_page' 		=> $numberposts,
									'orderby' 				=> $orderby,
									'order' 				=> $order,
									'meta_query'			=> array(
										array(
											'key' 		=> '_visibility',
											'value' 	=> array('catalog', 'visible'),
											'compare'	=> 'IN'
										),
										array(
											'key' 		=> '_featured',
											'value' 	=> 'yes'
										)
									)
								);
								break;
								
						}
					if($cat == 'all')
						unset($default['tax_query']);	
					
					$list = new WP_Query( $default );
					do_action( 'before' ); 
				?>
				<div class="tab-pane tab-category-pane<?php if( ( $key + 1 ) == $tab_active ){echo ' active'; }?>" id="<?php echo esc_attr($widget_id).'_'. esc_attr($cat); ?>">
					<div id="<?php echo $select_order.'_category_id_'.$cat; ?>" class="tab-category-container  clearfix">
						<div class="slider-container">
							<div class="products-list grid slick-carousel" data-nav="<?php echo esc_attr($show_nav);?>" data-columns4="<?php echo $columns4; ?>" data-columns3="<?php echo $columns3; ?>" data-columns2="<?php echo $columns2; ?>" data-columns1="<?php echo $columns1; ?>" data-columns="<?php echo $columns; ?>">
								<?php 
								$i = 1;
								while($list->have_posts()): $list->the_post();
								global $product, $post, $wpdb, $average; 
								?>
								<div class="item-product">
									<?php include(plugin_dir_path(dirname(__FILE__)).'content-product.php'); ?>
								</div>
								<?php $i++; endwhile; wp_reset_postdata();?>
							</div>
						</div>
					</div>			
				</div>
				<?php
				} 
				?>
			</div>
		</div>
	</div>
</div>