<?php
/**
 * Wpbingo Best Seller
 * Plugin URI: http://www.wpbingo.com
 * Version: 1.0
 * This Widget help you to show images of product as a beauty tab reponsive slideshow
 */
class bwp_best_seller extends WP_Widget {

	/**
	 * Sets up a new Text widget instance.
	 *
	 * @since 2.8.0
	 * @access public
	 */
	public function __construct() {
		$widget_ops = array(
			'classname' => 'bwp_best_seller',
			'description' => __( 'Wpbingo Add Best Seller Products.' ),
			'customize_selective_refresh' => true,
		);
		$control_ops = array( 'width' => 400, 'height' => 350 );
		parent::__construct( 'bwp_best_seller', __( 'Wpbingo Best Seller Product' ), $widget_ops, $control_ops );
	}
	  
	 
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
		$number    		= isset( $instance['numberposts'] ) ? intval($instance['numberposts']) : 5;
		echo $args['before_widget'];
		if( $instance['layout'] == 'default' ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-best-seller/default.php' );
		}

		echo $args['after_widget'];
	}


	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = sanitize_text_field( $new_instance['title'] );
		if ( array_key_exists('numberposts', $new_instance) ){
			$instance['numberposts'] = intval( $new_instance['numberposts'] );
		}

		$instance['layout'] = strip_tags( $new_instance['layout'] );
		return $instance;
	}

	/**
	 * Outputs the Text widget settings form.
	 *
	 * @since 2.8.0
	 * @access public
	 *
	 * @param array $instance Current settings.
	 */
	public function form( $instance ) {	
		$number    		= isset( $instance['numberposts'] ) ? intval($instance['numberposts']) : 3;
		$layout  = isset( $instance['layout'] )    ? 	strip_tags($instance['layout']) : '';
		$title = isset( $instance['title'] )    ? 	strip_tags(sanitize_text_field( $instance['title'])) : '';
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', "wpbingo"); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
		</p>
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id('numberposts') ); ?>"><?php esc_html_e('Number of Posts', "wpbingo")?></label>
			<br />
			<input class="widefat"
				id="<?php echo esc_attr( $this->get_field_id('numberposts') ); ?>"name="<?php echo esc_attr( $this->get_field_name('numberposts') ); ?>" type="text"
				value="<?php echo esc_attr($number); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('layout'); ?>"><?php _e("Template", "wpbingo")?></label>
			<br/>
			
			<select class="widefat"
				id="<?php echo $this->get_field_id('layout'); ?>"	name="<?php echo $this->get_field_name('layout'); ?>">
				<option value="default" <?php if ($layout=='default'){?> selected="selected" <?php } ?>>
					<?php _e('Default', "wpbingo")?>		
				</option>				
			</select>
		</p>		
		<?php
	}
}
