<?php

	add_shortcode( 'bwp_portfolios', 'bwp_portfolios_shortcode' );
	
	add_action( 'vc_before_init', 'bwp_portfolios_shortcode_load');
		
	function bwp_portfolios_shortcode_load(){
		vc_map( array(
		  "name" => __( "Wpbingo Portfolio", "wpbingo" ),
		  "base" => "bwp_portfolios",
		  "class" => "",
		  "category" => __( "Wpbingo Shortcode", "wpbingo"),
		  "params" => array(
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => __( "Title", "wpbingo" ),
				"param_name" => "title",
				"value" => __( "", "wpbingo" ),
				"description" => __( "Title", "wpbingo" )
			 ),
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => __( "Description", "wpbingo" ),
				"param_name" => "description",
				"value" => __( "", "wpbingo" ),
				"description" => __( "Description", "wpbingo" )
			 ),
			  array(
				"type" => "checkbox",
				"class" => "",
				"heading" => __( "Category", "wpbingo" ),
				"param_name" => "portfolio_slug",
				"value" => getPortfolioCategories(),
				"description" => __( "Select Categories", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __( "Order By", "wpbingo" ),
				"param_name" => "orderby",
				"value" => array('Name' => 'name', 'Author' => 'author', 'Date' => 'date', 'Title' => 'title', 'Modified' => 'modified', 'Parent' => 'parent', 'ID' => 'ID', 'Random' =>'rand', 'Comment Count' => 'comment_count'),
				"description" => __( "Order By", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __( "Order", "wpbingo" ),
				"param_name" => "order",
				"value" => array('Descending' => 'DESC', 'Ascending' => 'ASC'),
				"description" => __( "Order", "wpbingo" )
			 ),
			 array(
				"type" => "textfield",
				"class" => "",
				"heading" => __( "Number Of Post", "wpbingo" ),
				"param_name" => "number",
				"value" => 5,
				"description" => __( "Number Of Post", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __( "Number of Columns >1200px: ", "wpbingo" ),
				"param_name" => "col1",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns >1200px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __( "Number of Columns on 992px to 1199px:", "wpbingo" ),
				"param_name" => "col2",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 992px to 1199px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __( "Number of Columns on 768px to 991px:", "wpbingo" ),
				"param_name" => "col3",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 768px to 991px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __( "Number of Columns on 480px to 767px:", "wpbingo" ),
				"param_name" => "col4",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 480px to 767px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __( "Number of Columns in 480px or less than:", "wpbingo" ),
				"param_name" => "col5",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns in 480px or less than:", "wpbingo" )
			 ),			 
			  array(
				"type" => "dropdown",
				"class" => "",
				"heading" => __( "Layout", "wpbingo" ),
				"param_name" => "style",
				"value" => array( 'FitRows' => 'fitRows', 'Masonry' => 'masonry' ),
				"description" => __( "Layout", "wpbingo" )
			 )
		  )
	   ) );

	    if (!class_exists('WPBakeryShortCode_Bin_Portfolios')) {
			class WPBakeryShortCode_Bin_Portfolios extends WPBakeryShortCode {
			}
		}	   
	   
	}
	/**
		** Add Shortcode
	**/
	function bwp_portfolios_shortcode( $atts, $content = null ){
		extract( shortcode_atts(
			array(
				'title' 		=> '',
				'description' 	=> '',
				'portfolio_slug' 	=> '',
				'orderby' 		=> '',
				'order'			=> '',
				'number' 		=> 5,
				'col1' 			=> 4,
				'col2' 			=> 4,
				'col3' 			=> 3,
				'col4' 			=> 2,						
				'style'  		=> 'fitRows',
			), $atts )
		);		
		$portfolio = array();
		if( !is_array( $portfolio_slug ) ){
			$portfolio = explode( ',', $portfolio_slug );
		}
		ob_start();
		include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-widget-portfolios/portfolio-item.php' );
		$content = ob_get_clean();
		return $content;
	}

	if(!function_exists('getPortfolioCategories')){
		function getPortfolioCategories(){
			$term = array();
			if(taxonomy_exists('category_portfolio')){
				$terms = get_terms('category_portfolio',array( 'orderby' => 'id' ));	
				$term = array();	
				if( count( $terms ) > 0 ){
					$term = array( __( 'All Category Portfolio', "wpbingo" ) => 'all' );
					foreach( $terms as $cat ){
						$term[$cat->name] = $cat->slug;
					}
				}
			}
			return $term;
		}			
	}
	 