<?php
	add_shortcode( 'bwp_slider', 'bwp_slider_shortcode');
	add_action( 'vc_before_init', 'bwp_slider_shortcode_load');

	/**
		* Add Vc Params
	**/
	function bwp_slider_shortcode_load(){
		$terms = array();
		$args = array(
			'post_type' => 'bwp_slider',
			'posts_per_page' => -1,
			'post_status' => 'publish'
		);
		$query = new WP_Query();
		$sliders =  $query->query($args);
		if($sliders){
			foreach($sliders as $slider)	
			$terms[$slider->post_title]	= $slider->post_name;
		}
		vc_map( array(
			"name" => __( "Wpbingo Slider", "wpbingo" ),
			"base" => "bwp_slider",
			"category" => __( "Wpbingo Shortcode", "wpbingo"),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => __( "Title", "wpbingo" ),
					"param_name" => "title1",
					"value" => 'Wpbingo Slider',
					"description" => __( "Title", "wpbingo" )
				),	
				array(
					"type" => "textfield",
					"heading" => __( "Extra Class", "wpbingo" ),
					"param_name" => "class",
					"value" => '',
					"description" => __( "Title", "wpbingo" )
				),					
				array(
					"type" => "checkbox",
					"heading" => __( "Slider", "wpbingo" ),
					"param_name" => "slider",
					"value" => $terms,
					"description" => __( "Choosen Slider", "wpbingo" )
				 ),					
				array(
					"type" => "dropdown",
					"heading" => __( "Show Navigation", "wpbingo" ),
					"param_name" => "show_nav",
					"value" => array( 'Yes' => 'true','No' => 'false'),
					"description" => __( "Show Navigation", "wpbingo" )
				 ),		
				array(
					"type" => "dropdown",
					"heading" => __( "Show Pagination", "wpbingo" ),
					"param_name" => "show_pag",
					"value" => array( 'Yes' => 'true','No' => 'false'),
					"description" => __( "Show Pagination", "wpbingo" )
				),	
				 array(
					"type" => "dropdown",
					"heading" => __( "Number of Columns >1200px: ", "wpbingo" ),
					"param_name" => "columns",
					"value" => array(1,2,3,4,5,6),
					"description" => __( "Number of Columns >1200px:", "wpbingo" )
				 ),
				 array(
					"type" => "dropdown",
					"heading" => __( "Number of Columns on 992px to 1199px:", "wpbingo" ),
					"param_name" => "columns1",
					"value" => array(1,2,3,4,5,6),
					"description" => __( "Number of Columns on 992px to 1199px:", "wpbingo" )
				 ),
				 array(
					"type" => "dropdown",
					"heading" => __( "Number of Columns on 768px to 991px:", "wpbingo" ),
					"param_name" => "columns2",
					"value" => array(1,2,3,4,5,6),
					"description" => __( "Number of Columns on 768px to 991px:", "wpbingo" )
				 ),
				 array(
					"type" => "dropdown",
					"heading" => __( "Number of Columns on 480px to 767px:", "wpbingo" ),
					"param_name" => "columns3",
					"value" => array(1,2,3,4,5,6),
					"description" => __( "Number of Columns on 480px to 767px:", "wpbingo" )
				 ),
				 array(
					"type" => "dropdown",
					"heading" => __( "Number of Columns in 480px or less than:", "wpbingo" ),
					"param_name" => "columns4",
					"value" => array(1,2,3,4,5,6),
					"description" => __( "Number of Columns in 480px or less than:", "wpbingo" )
				 ),					
				array(
					"type" => "dropdown",
					"heading" => __( "Layout", "wpbingo" ),
					"param_name" => "layout",
					"value" => array( 'Layout Default' => 'default','Layout Style 1' => 'layout2'),
					"description" => __( "Layout", "wpbingo" )
				 ),			 
			)
		));	   
	}
	/**
		** Add Shortcode
	**/
	function bwp_slider_shortcode( $atts, $content = null ){
		extract( shortcode_atts(
			array(
				'title1' 	=> '',
				'class' 	=> '',
				'slider'	=> array(),
				'show_nav'  => 'true',
				'show_pag'  => 'true',
				'columns' => 4,
				'columns1' => 4,
				'columns2' => 3,
				'columns3' => 2,
				'columns4' => 1,				
				'layout'  	=> 'default',
			), $atts )
		);
		ob_start();	
		if( $layout == 'default' ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-slider/default.php');
		}elseif( $layout == 'layout2' ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-slider/layout2.php');
		}
		$content = ob_get_clean();
		
		return $content;
	}
?>