<?php
class bwp_widget_instagram extends WP_Widget {
	
	public function __construct() {
		$widget_ops = array(
			'classname' => 'bwp_widget_instagram',
			'description' => __( 'Wpbingo Add instagram.', "wpbingo" ),
			'customize_selective_refresh' => true,
		);
		$control_ops = array( 'width' => 400, 'height' => 350 );
		parent::__construct( 'bwp_widget_instagram', __( 'Wpbingo Instagram', "wpbingo" ), $widget_ops, $control_ops );
		
		add_shortcode( 'bwp_woo_instagram', array( $this, 'bwp_woo_instagram_shortcode' ) );
		
		/* Create Vc_map */
		if ( class_exists('Vc_Manager') && class_exists( 'WooCommerce' ) ) {
			add_action( 'vc_before_init', array( $this, 'bwp_woo_instagram_load' ) );
		}		
	}	
	/**
		* Add Vc Params
	**/
	function bwp_woo_instagram_load(){
		
		vc_map( array(
			"name" => __( "Wpbingo Instagram", "wpbingo" ),
			"base" => "bwp_woo_instagram",
			"category" => __( "Wpbingo Shortcode", "wpbingo"),
			"params" => array(
			array(
				"type" => "textfield",
				"heading" => __( "Title", "wpbingo" ),
				"param_name" => "title1",
				"value" => 'Wpbingo Instagram Widget',
				"description" => __( "Title", "wpbingo" )
			),			
			array(
				"type" => "textfield",
				"heading" => __( "User Id", "wpbingo" ),
				"param_name" => "user_id",
				"value" => '',
				"description" => __( "Please enter your user id/You can get user_id at this site http://www.pinceladasdaweb.com.br/instagram/access-token/.", "wpbingo" )
			),
			array(
				"type" => "textfield",
				"heading" => __( "Access Token", "wpbingo" ),
				"param_name" => "access_token",
				"value" => '',
				"description" => __( "Please enter your access token/You can get access_token at this site http://www.pinceladasdaweb.com.br/instagram/access-token/.", "wpbingo" )
			),
			array(
				"type" => "textfield",
				"heading" => __( "Limit", "wpbingo" ),
				"param_name" => "limit",
				"value" => 9,
				"description" => __( "Limit", "wpbingo" )
			),	
			array(
				"type" => "textfield",
				"heading" => __( "Width", "wpbingo" ),
				"param_name" => "width",
				"value" => '180px',
				"description" => __( "Width", "wpbingo" )
			),	
			array(
				"type" => "textfield",
				"heading" => __( "Height", "wpbingo" ),
				"param_name" => "height",
				"value" => '200px',
				"description" => __( "Height", "wpbingo" )
			),	
			array(
				"type" => "dropdown",
				"heading" => __( "Number row per column", "wpbingo" ),
				"param_name" => "item_row",
				"value" =>array(1,2,3),
				"description" => __( "Number row per column", "wpbingo" )
			 ),	
			array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns >1200px: ", "wpbingo" ),
				"param_name" => "columns",
				"value" => array(1,2,3,4,5,6,7,8),
				"description" => __( "Number of Columns >1200px:", "wpbingo" )
			 ),
			array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 992px to 1199px:", "wpbingo" ),
				"param_name" => "columns1",
				"value" => array(1,2,3,4,5,6,7),
				"description" => __( "Number of Columns on 992px to 1199px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 768px to 991px:", "wpbingo" ),
				"param_name" => "columns2",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 768px to 991px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 480px to 767px:", "wpbingo" ),
				"param_name" => "columns3",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 480px to 767px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns in 480px or less than:", "wpbingo" ),
				"param_name" => "columns4",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns in 480px or less than:", "wpbingo" )
			 ),		
			 array(
					"type" => "dropdown",
					"heading" => __( "Padding", "wpbingo" ),
					"param_name" => "padding",
					"value" => array( 'Yes' => '','No' => 'no-padding'),
					"description" => __( "Padding", "wpbingo" )
			 ),	 
			array(
				"type" => "dropdown",
				"heading" => __( "Layout", "wpbingo" ),
				"param_name" => "layout",
				"value" => array( 'Layout Default' => 'default','Slider' => 'slider','Slider2' => 'slider2','Slider3' => 'slider3' ),
				"description" => __( "Layout", "wpbingo" )
			 ),
		  )
	   ) );
	}
	/**
		** Add Shortcode
	**/
	function bwp_woo_instagram_shortcode( $atts, $content = null ){
		extract( shortcode_atts(
			array(
				'title1' 	=> '',
				'user_id' 	=> '',
				'access_token' => '',
				'limit' 	=> 9,
				'width' 	=> '180px',
				'height' 	=>'200px',
				'item_row'=> 1,
				'columns' 	=> 3,
				'columns1' 	=> 3,
				'columns2' 	=> 3,
				'columns3' 	=> 1,
				'columns4' 	=> 1,
				'padding'   => '',
				'layout'  => 'default',
			), $atts )
		);
		ob_start();	
		if( $layout == 'slider' | $layout == 'slider2' || $layout == 'slider3'  ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-instagram-widget/slider.php' );
		}elseif( $layout == 'default' ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-instagram-widget/default.php' );				
		}
		
		$content = ob_get_clean();
		
		return $content;
	}
	
	public function widget( $args, $instance ) {
		/** This filter is documented in wp-includes/widgets/class-wp-widget-pages.php */
		$title1 = apply_filters( 'widget_title', empty( $instance['title1'] ) ? '' : $instance['title1'], $instance, $this->id_base );
		$user_id		= 	( $instance['user_id'] ) ? $instance['user_id'] : '';
		$access_token	= 	( $instance['access_token'] ) ? $instance['access_token'] : '';
		$width		 	= 	( $instance['width'] ) ? $instance['width'] : '180px';
		$height		 	= 	( $instance['height'] ) ? $instance['height'] : '200px';
		$limit			= 	( $instance['limit'] ) ? $instance['limit'] : 9;
		$item_row	 	= 	( $instance['item_row'] ) ? $instance['item_row'] : 1;
		$columns		= 	( $instance['columns'] ) ? $instance['columns'] : 1;
		$columns1		= 	( $instance['columns1'] ) ? $instance['columns1'] : 1;
		$columns2		= 	( $instance['columns2'] ) ? $instance['columns2'] : 1;
		$columns3		= 	( $instance['columns3'] ) ? $instance['columns3'] : 1;
		$columns4		= 	( $instance['columns4'] ) ? $instance['columns4'] : 1;		
		$layout			= 	( $instance['layout'] ) ? $instance['layout'] : 'default';
		/**
		 * Filter the content of the Text widget.
		 *
		 * @since 2.3.0
		 * @since 4.4.0 Added the `$this` parameter.
		 *
		 * @param string         $widget_text The widget content.
		 * @param array          $instance    Array of settings for the current widget.
		 * @param WP_Widget_Text $this        Current Text widget instance.
		 */
		//$text = apply_filters( 'widget_text', $widget_text, $instance, $this );

		echo $args['before_widget'];
		if( $layout == 'default' )
		{
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-instagram-widget/default.php' );
		}elseif( $layout == 'slider' ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-instagram-widget/slider.php' );
		}
		echo $args['after_widget'];
	}

		
	/**
	 * Handles updating settings for the current Text widget instance.
	 *
	 * @since 2.8.0
	 * @access public
	 *
	 * @param array $new_instance New settings for this instance as input by the user via
	 *                            WP_Widget::form().
	 * @param array $old_instance Old settings for this instance.
	 * @return array Settings to save or bool false to cancel saving.
	 */
	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title1'] = sanitize_text_field( $new_instance['title1'] );
		$instance['user_id'] = sanitize_text_field( $new_instance['user_id'] );
		$instance['access_token'] = sanitize_text_field( $new_instance['access_token'] );
		$instance['width'] = sanitize_text_field( $new_instance['width'] );
		$instance['height'] = sanitize_text_field( $new_instance['height'] );
		if ( array_key_exists('limit', $new_instance) ){
			$instance['limit'] = intval( $new_instance['limit'] );
		}
		if ( array_key_exists('item_row', $new_instance) ){
			$instance['item_row'] = intval( $new_instance['item_row'] );
		}			
		if ( array_key_exists('columns', $new_instance) ){
			$instance['columns'] = intval( $new_instance['columns'] );
		}
		if ( array_key_exists('columns1', $new_instance) ){
			$instance['columns1'] = intval( $new_instance['columns1'] );
		}
		if ( array_key_exists('columns2', $new_instance) ){
			$instance['columns2'] = intval( $new_instance['columns2'] );
		}
		if ( array_key_exists('columns3', $new_instance) ){
			$instance['columns3'] = intval( $new_instance['columns3'] );
		}
		if ( array_key_exists('columns4', $new_instance) ){
			$instance['columns4'] = intval( $new_instance['columns4'] );
		}
		$instance['layout'] = sanitize_text_field( $new_instance['layout'] );
		if ( current_user_can( 'unfiltered_html' ) ) {
			$instance['subtitle'] = $new_instance['subtitle'];
		} else {
			$instance['subtitle'] = wp_kses_post( $new_instance['subtitle'] );
		}
		if ( current_user_can( 'unfiltered_html' ) ) {
			$instance['description'] = $new_instance['description'];
		} else {
			$instance['description'] = wp_kses_post( $new_instance['description'] );
		}
		return $instance;
	}

	/**
	 * Outputs the Text widget settings form.
	 *
	 * @since 2.8.0
	 * @access public
	 *
	 * @param array $instance Current settings.
	 */
	public function form( $instance ) {
		$instance = wp_parse_args( 
						$instance, 
						array( 	'title1' 	=> '', 
								'user_id' 	=> '',
								'access_token' => '',
								'limit'		=> 9,
								'width' 	=> '180px',
								'height'	=> '200px',
								'item_row'	=> 1,
								'columns' 	=> 3,
								'columns1' 	=> 3,
								'columns2' 	=> 3,
								'columns3' 	=> 1,
								'columns4' 	=> 1,
								'layout' 	=> 'default',
						) 
					);
		$title1 = sanitize_text_field( $instance['title1'] );			
		$user_id = sanitize_text_field( $instance['user_id'] );
		$access_token 	= 	sanitize_text_field( $instance['access_token'] );
		$limit		 	= 	( $instance['limit'] ) ? $instance['limit'] : 5;
		$width 			=	( $instance['width'] ) ? sanitize_text_field($instance['width']) : '180px';
		$height 		=	( $instance['height'] ) ? sanitize_text_field($instance['height']) : '200px';
		$item_row     	= isset( $instance['item_row'] ) ? intval($instance['item_row']) : 1;
		$columns     	= isset( $instance['columns'] )      ? intval($instance['columns']) : 1;
		$columns1     	= isset( $instance['columns1'] )      ? intval($instance['columns1']) : 1;
		$columns2     	= isset( $instance['columns2'] )      ? intval($instance['columns2']) : 1;
		$columns3     	= isset( $instance['columns3'] )      ? intval($instance['columns3']) : 1;
		$columns4    	= isset( $instance['columns4'] )      ? intval($instance['columns4']) : 1;		
		$layout   		= isset( $instance['layout'] ) ? strip_tags($instance['layout']) : 'default';
        ?>
		<p>
			<label for="<?php echo $this->get_field_id('title1'); ?>"><?php _e('Title:', "wpbingo"); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('title1'); ?>" name="<?php echo $this->get_field_name('title1'); ?>" type="text" value="<?php echo esc_attr($title1); ?>" /></p>
		<p>
			<label for="<?php echo $this->get_field_id('user_id'); ?>"><?php _e('User Id:', "wpbingo"); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('user_id'); ?>" name="<?php echo $this->get_field_name('user_id'); ?>" type="text" value="<?php echo esc_attr($user_id); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('access_token'); ?>"><?php _e('Access Token:', "wpbingo"); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('access_token'); ?>" name="<?php echo $this->get_field_name('access_token'); ?>" type="text" value="<?php echo esc_attr($access_token); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('width'); ?>"><?php _e('Width', "wpbingo")?></label>
			<br />
			<input class="widefat" id="<?php echo $this->get_field_id('width'); ?>" name="<?php echo $this->get_field_name('width'); ?>"
				type="text"	value="<?php echo esc_attr($width); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('height'); ?>"><?php _e('Height', "wpbingo")?></label>
			<br />
			<input class="widefat" id="<?php echo $this->get_field_id('height'); ?>" name="<?php echo $this->get_field_name('height'); ?>"
				type="text"	value="<?php echo esc_attr($height); ?>" />
		</p>			
		<p>
			<label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('Number of Instagram', "wpbingo")?></label>
			<br />
			<input class="widefat" id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>"
				type="text"	value="<?php echo esc_attr($limit); ?>" />
		</p>	
		<p>
			<label for="<?php echo $this->get_field_id('item_row'); ?>"><?php _e('Number row of Instagram', "wpbingo")?></label>
			<br />
			<input class="widefat" id="<?php echo $this->get_field_id('item_row'); ?>" name="<?php echo $this->get_field_name('item_row'); ?>"
				type="text"	value="<?php echo esc_attr($item_row); ?>" />
		</p>
		<?php $number = array('1' => 1, '2' => 2, '3' => 3, '4' => 4, '5' => 5, '6' => 6); ?>	
		<p>
			<label for="<?php echo $this->get_field_id('columns'); ?>"><?php _e('Number of Columns >1200px: ', "wpbingo")?></label>
			<br />
			<select class="widefat"
				id="<?php echo $this->get_field_id('columns'); ?>"
				name="<?php echo $this->get_field_name('columns'); ?>">
				<?php
				$option ='';
				foreach ($number as $key => $value) :
					$option .= '<option value="' . $value . '" ';
					if ($value == $columns){
						$option .= 'selected="selected"';
					}
					$option .=  '>'.$key.'</option>';
				endforeach;
				echo $option;
				?>
			</select>
		</p> 
		
		<p>
			<label for="<?php echo $this->get_field_id('columns1'); ?>"><?php _e('Number of Columns on 992px to 1199px: ', "wpbingo")?></label>
			<br />
			<select class="widefat"
				id="<?php echo $this->get_field_id('columns1'); ?>"
				name="<?php echo $this->get_field_name('columns1'); ?>">
				<?php
				$option ='';
				foreach ($number as $key => $value) :
					$option .= '<option value="' . $value . '" ';
					if ($value == $columns1){
						$option .= 'selected="selected"';
					}
					$option .=  '>'.$key.'</option>';
				endforeach;
				echo $option;
				?>
			</select>
		</p> 
		
		<p>
			<label for="<?php echo $this->get_field_id('columns2'); ?>"><?php _e('Number of Columns on 768px to 991px: ', "wpbingo")?></label>
			<br />
			<select class="widefat"
				id="<?php echo $this->get_field_id('columns2'); ?>"
				name="<?php echo $this->get_field_name('columns2'); ?>">
				<?php
				$option ='';
				foreach ($number as $key => $value) :
					$option .= '<option value="' . $value . '" ';
					if ($value == $columns2){
						$option .= 'selected="selected"';
					}
					$option .=  '>'.$key.'</option>';
				endforeach;
				echo $option;
				?>
			</select>
		</p> 
		
		<p>
			<label for="<?php echo $this->get_field_id('columns3'); ?>"><?php _e('Number of Columns on 480px to 767px: ', "wpbingo")?></label>
			<br />
			<select class="widefat"
				id="<?php echo $this->get_field_id('columns3'); ?>"
				name="<?php echo $this->get_field_name('columns3'); ?>">
				<?php
				$option ='';
				foreach ($number as $key => $value) :
					$option .= '<option value="' . $value . '" ';
					if ($value == $columns3){
						$option .= 'selected="selected"';
					}
					$option .=  '>'.$key.'</option>';
				endforeach;
				echo $option;
				?>
			</select>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('columns4'); ?>"><?php _e('Number of Columns in 480px or less than: ', "wpbingo")?></label>
			<br />
			<select class="widefat"
				id="<?php echo $this->get_field_id('columns4'); ?>"
				name="<?php echo $this->get_field_name('columns4'); ?>">
				<?php
				$option ='';
				foreach ($number as $key => $value) :
					$option .= '<option value="' . $value . '" ';
					if ($value == $columns4){
						$option .= 'selected="selected"';
					}
					$option .=  '>'.$key.'</option>';
				endforeach;
				echo $option;
				?>
			</select>
		</p> 		
		<p>
			<label for="<?php echo $this->get_field_id('layout'); ?>"><?php _e("Template", "wpbingo" )?></label>
			<br/>
			
			<select class="widefat"
				id="<?php echo $this->get_field_id('layout'); ?>"	name="<?php echo $this->get_field_name('layout'); ?>">
				<option value="default" <?php if ($layout=='default'){?> selected="selected" <?php } ?>>
					<?php _e('Default', "wpbingo")?>		
				</option>			
				<option value="nostyle" <?php if ($layout=='nostyle'){?> selected="selected" <?php } ?>>
					<?php _e('No Style', "wpbingo")?>		
				</option>			
			</select>
		</p>
		<?php
	}	
}
?>