<?php
	add_shortcode( 'bwp_woo_tab_category', 'bwp_woo_tab_category_shortcode' );
	add_action( 'vc_before_init', 'bwp_woo_tab_category_shortcode_load');
	/**
		* Add Vc Params
	**/
	function bwp_woo_tab_category_shortcode_load(){
		$args = array(
			'parent' => 0
		);
		$terms = get_terms( 'product_cat', $args );
		$term = array( __( 'All Category Product', 'wpbingo' ) => 'all' );
		foreach( $terms as $cat ){
			$term[$cat->name] = $cat->slug;
		}
		
		vc_map( array(
		  "name" => __( "Wpbingo Tab Category", "wpbingo" ),
		  "base" => "bwp_woo_tab_category",
		  "category" => __( "Wpbingo Shortcode", "wpbingo"),
		  "params" => array(
			 array(
				"type" => "textfield",
				"heading" => __( "Title", "wpbingo" ),
				"param_name" => "title1",
				"value" => '',
				"description" => __( "Title", "wpbingo" )
			 ),
			 array(
					"type" => "textfield",
					"heading" => __( "Description", "wpbingo" ),
					"param_name" => "description",
					"value" => '',
					"description" => __( "Description", "wpbingo" )
				 ),
			  array(
				"type" => "checkbox",
				"heading" => __( "Category", "wpbingo" ),
				"param_name" => "category",
				"value" => $term,
				"description" => __( "Select Categories", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Select Order Product", "wpbingo" ),
				"param_name" => "select_order",
				"value" => array('Latest Products' => 'latest', 'Top Rating Products' => 'rating', 'Best Selling Products' => 'bestsales', 'Featured Products' => 'featured'),
				"description" => __( "Select Order Product", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Order By", "wpbingo" ),
				"param_name" => "orderby",
				"value" => array('Name' => 'name', 'Author' => 'author', 'Date' => 'date', 'Title' => 'title', 'Modified' => 'modified', 'Parent' => 'parent', 'ID' => 'ID', 'Random' =>'rand', 'Comment Count' => 'comment_count'),
				"description" => __( "Order By", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Order", "wpbingo" ),
				"param_name" => "order",
				"value" => array('Descending' => 'DESC', 'Ascending' => 'ASC'),
				"description" => __( "Order", "wpbingo" )
			 ),
			 array(
				"type" => "textfield",
				"heading" => __( "Number Of Products", "wpbingo" ),
				"param_name" => "numberposts",
				"value" => 5,
				"description" => __( "Number Of Products", "wpbingo" )
			 ),
			 array(
				"type" => "textfield",
				"heading" => __( "Tab Active", "wpbingo" ),
				"param_name" => "tab_active",
				"value" => 1,
				"description" => __( "Select tab active", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns >1200px: ", "wpbingo" ),
				"param_name" => "columns",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns >1200px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 1024px to 1199px:", "wpbingo" ),
				"param_name" => "columns1",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 1024px to 1199px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 768px to 1023px:", "wpbingo" ),
				"param_name" => "columns2",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 768px to 1023px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 480px to 767px:", "wpbingo" ),
				"param_name" => "columns3",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 480px to 767px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns in 480px or less than:", "wpbingo" ),
				"param_name" => "columns4",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns in 480px or less than:", "wpbingo" )
			 ),
			 array(
				"type" => "textfield",
				"heading" => __( "Length Excerpt", "wpbingo" ),
				"param_name" => "length",
				"value" => 150,
				"description" => __( "Length Excerpt", "wpbingo" )
			),
			array(
				"type" => "dropdown",
				"heading" => __( "Show Icon Categories", "wpbingo" ),
				"param_name" => "show_icon",
				"value" => array( 'False' => 0 ,'True' => 1 ),
				"description" => __( "Show Icon  Categories", "wpbingo" )
			),			
			 array(
				"type" => "dropdown",
				"heading" => __( "Show Navigation", "wpbingo" ),
				"param_name" => "show_nav",
				"value" => array('No' => 'false','Yes' => 'true'),
				"description" => __( "Show Navigation", "wpbingo" )
			 ),	 
			  array(
				"type" => "dropdown",
				"heading" => __( "Layout", "wpbingo" ),
				"param_name" => "layout",
				"value" => array( 'Layout Default' => 'default', 'Slider' => 'slider', 'Slider 2' => 'slider2'),
				"description" => __( "Layout", "wpbingo" )
			 )
		  )
	   ) );
	   
	    if (!class_exists('WPBakeryShortCode_Woo_Tab_Category_Slider')) {
			class WPBakeryShortCode_Woo_Tab_Category_Slider extends WPBakeryShortCode {
			}
		}	   
	   
	}
	/**
		** Add Shortcode
	**/
	function bwp_woo_tab_category_shortcode( $atts, $content = null ){
		extract( shortcode_atts(
			array(
				'title1' => '',
				'description' => '',
				'category' => '',
				'select_order' => 'latest',
				'orderby' => '',
				'order'	=> '',
				'numberposts' => 5,
				'tab_active' => 1,
				'columns' => 4,
				'columns1' => 4,
				'columns2' => 3,
				'columns3' => 2,
				'columns4' => 1,
				'length' => 150,
				'show_icon' => 0,
				'show_nav' => 'false',
				'layout'  => 'default',
			), $atts )
		);
		ob_start();		
		if( $layout == 'default' ){
			include( WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-tab-category/default.php' );
		}elseif( $layout == 'slider' ){
			include( WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-tab-category/slider.php' );
		}elseif( $layout == 'slider2' ){
			include( WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-tab-category/slider2.php' );
		}
		

		$content = ob_get_clean();
		
		return $content;
	}	

?>