<?php
	add_shortcode( 'bwp_woo_testimonial', 'bwp_woo_testimonial_shortcode');	
	add_action( 'vc_before_init', 'bwp_woo_testimonial_shortcode_load');
	/**
		* Add Vc Params
	**/
	function bwp_woo_testimonial_shortcode_load(){
		
		vc_map( array(
			"name" => __( "Wpbingo Testimonial", "wpbingo" ),
			"base" => "bwp_woo_testimonial",
			"category" => __( "Wpbingo Shortcode", "wpbingo"),
			"params" => array(
			array(
				"type" => "textfield",
				"heading" => __( "Title", "wpbingo" ),
				"param_name" => "title1",
				"value" => 'Wpbingo Testimonial Widget',
				"description" => __( "Title", "wpbingo" )
			),
			array(
				"type" => "dropdown",
				"heading" => __( "Number row per column", "wpbingo" ),
				"param_name" => "item_row",
				"value" =>array(1,2,3),
				"description" => __( "Number row per column", "wpbingo" )
			 ),			
			array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns >1200px: ", "wpbingo" ),
				"param_name" => "columns",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns >1200px:", "wpbingo" )
			 ),
			array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 992px to 1199px:", "wpbingo" ),
				"param_name" => "columns1",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 992px to 1199px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 768px to 991px:", "wpbingo" ),
				"param_name" => "columns2",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 768px to 991px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns on 480px to 767px:", "wpbingo" ),
				"param_name" => "columns3",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns on 480px to 767px:", "wpbingo" )
			 ),
			 array(
				"type" => "dropdown",
				"heading" => __( "Number of Columns in 480px or less than:", "wpbingo" ),
				"param_name" => "columns4",
				"value" => array(1,2,3,4,5,6),
				"description" => __( "Number of Columns in 480px or less than:", "wpbingo" )
			 ),	
			 array(
					"type" => "textfield",
					"heading" => __( "Length Excerpt", "wpbingo" ),
					"param_name" => "length",
					"value" => 25,
					"description" => __( "Length Excerpt", "wpbingo" )
				),
			array(
					"type" => "dropdown",
					"heading" => __( "Show Navigation", "wpbingo" ),
					"param_name" => "show_nav",
					"value" => array( 'Yes' => 'true','No' => 'false'),
					"description" => __( "Show Navigation", "wpbingo" )
				 ),		
			 array(
					"type" => "dropdown",
					"heading" => __( "Show Pagination", "wpbingo" ),
					"param_name" => "show_pag",
					"value" => array( 'Yes' => 'true','No' => 'false'),
					"description" => __( "Show Pagination", "wpbingo" )
				),	 
			array(
				"type" => "dropdown",
				"heading" => __( "Layout", "wpbingo" ),
				"param_name" => "layout",
				"value" => array( 'Layout Default' => 'default', 'Layout 2' => 'layout2', 'Layout 3' => 'layout3'),
				"description" => __( "Layout", "wpbingo" )
			 ),
		  )
	   ) );

	    if (!class_exists('WPBakeryShortCode_Woo_Testimonial')) {
			class WPBakeryShortCode_Woo_Testimonial extends WPBakeryShortCode {
			}
		}	   
	   
	}
	/**
		** Add Shortcode
	**/
	function bwp_woo_testimonial_shortcode( $atts, $content = null ){
		extract( shortcode_atts(
			array(
				'title1' => '',
				'item_row'=> 1,
				'columns' => 3,
				'columns1' => 3,
				'columns2' => 3,
				'columns3' => 1,
				'columns4' => 1,
				'length'	=> 25,	
				'show_nav'  => 'true',
				'show_pag'  => 'true',
				'layout'  => 'default',
			), $atts )
		);
		ob_start();	
		if( $layout == 'default' ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-testimonial/default.php' );
		}elseif( $layout == 'layout2' ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-testimonial/layout2.php' );
		}elseif( $layout == 'layout3' ){
			include(WPBINGO_SHORTCODES_TEMPLATE_PATH.'bwp-woo-testimonial/layout3.php' );
		}

		$content = ob_get_clean();
		
		return $content;
	}	
?>