<?php
/*
Plugin Name: Wpbingo Core
Plugin URI: https://themeforest.net/user/wpbingo
Description: Use For Wpbingo Theme.
Version: 1.0
Author: TungHV
Author URI: https://themeforest.net/user/wpbingo
*/

// don't load directly
if (!defined('ABSPATH'))
    die('-1');

require_once( dirname(__FILE__) . '/function.php');
define('WPBINGO_SHORTCODES_PATH', dirname(__FILE__) . '/shortcodes/');
define('WPBINGO_SHORTCODES_TEMPLATE_PATH', dirname(__FILE__) . '/shortcodes-template/');
define('WPBINGO_CONTENT_TYPES_LIB', dirname(__FILE__) . '/lib/');
require_once WPBINGO_CONTENT_TYPES_LIB . 'lookbook/includes/bwp_lookbook_class.php';
define ( 'LOOKBOOK_TABLE', 'bwp_lookbook');
class WpbingoShortcodesClass {

    function __construct() {
        // Init plugins
		$this->loadInit();
		add_filter( 'wp_calculate_image_srcset', array( $this, 'bwp_disable_srcset' ) );
		load_plugin_textdomain('wpbingo', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
    }
	
	
	function loadInit() {
		global $woocommerce;
		if ( ! isset( $woocommerce ) || ! function_exists( 'WC' ) ) {
			add_action( 'admin_notices', array( $this, 'bwp_woocommerce_admin_notice' ) );
			return;
		}else{
			add_action('wp_enqueue_scripts', array( $this, 'bwp_framework_script' ) );	
			require_once(WPBINGO_CONTENT_TYPES_LIB.'settings/save_settings.php');	
			//Load Taxonomy
			$this->bwp_load_file(WPBINGO_CONTENT_TYPES_LIB);
			//Load ShortCodes
			$this->bwp_load_file(WPBINGO_SHORTCODES_PATH);
			//Register Widgets
			add_action( 'widgets_init', array( $this, 'register_widgets' ) );
			add_action( 'init',array( $this, 'wpbingo_remove_default_action'));
			remove_filter( 'woocommerce_product_loop_start', 'woocommerce_maybe_show_product_subcategories' );			
		}			
    }
	
	function wpbingo_remove_default_action(){
		if(class_exists( 'YITH_WCWL' )){
			wpbingo_remove_object_filter('wp_head','YITH_WCWL_Frontend','add_button');
		}	
	}
	
	function bwp_load_file($path){
		$files = array_diff(scandir($path), array('..', '.'));
		if(count($files)>0){
			foreach ($files as  $file) {
				if (strpos($file, '.php') !== false)
					require_once($path . $file);
			}
		}		
	}
	
	function bwp_framework_script(){
		wp_enqueue_script( 'jquery-ui-core', false, array('jquery') );
		wp_enqueue_script( 'jquery-ui-slider', false, array('jquery'));
		wp_enqueue_script('bwp_wpbingo_js',plugins_url( '/wpbingo/assets/js/wpbingo.js' ),array("jquery"),false,true);
	}
	
	// register widgets
	function register_widgets(){
		register_widget( 'bwp_best_seller');
		register_widget( 'bwp_brand_slider_widget');
		register_widget( 'bwp_woo_recent_post_widget');
		register_widget( 'bwp_widget_image');
		register_widget( 'bwp_widget_woo_categories');
		register_widget( 'bwp_ajax_filter_widget' );
		register_widget( 'bwp_widget_policy');
		register_widget( 'bwp_widget_instagram');	
	}		
	
	function bwp_woocommerce_admin_notice(){
		?>
		<div class="error">
			<p><?php _e( 'Wpbingo is enabled but not effective. It requires WooCommerce in order to work.', 'wpbingo' ); ?></p>
		</div>
		<?php
	}
	
	function bwp_disable_srcset( $sources ) {		
		return false;	
	}
	
}

function lookbook_install () {
    global $wpdb;
	
    $table_name = $wpdb->prefix . LOOKBOOK_TABLE;
	include_once ABSPATH.'wp-admin/includes/upgrade.php';
    if($wpdb->get_var("show tables like '$table_name'") != $table_name) {

        $sql = "CREATE TABLE IF NOT EXISTS `" . $table_name . "` (
                  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
                  `name` varchar(255) NOT NULL,
				  `title` varchar(255),
				  `description` varchar(255),
                  `width` smallint(5) unsigned NOT NULL,
                  `height` smallint(5) unsigned NOT NULL,		  
                  `image` varchar(255) NOT NULL,
                  `pins` text NOT NULL,
                  PRIMARY KEY (`id`)
                ) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1";
		if(dbDelta($sql)){
			$sql_insert = "INSERT INTO `" . $table_name . "` (`id`, `name`, `title`, `description`, `width`, `height`, `image`, `pins`) VALUES
			(7, 'Look Book 1', '', '', 370, 265, '0_lookbook1.jpg', '[{\"id\":\"1553479643931\",\"top\":98,\"left\":125,\"width\":30,\"height\":30,\"slug\":\"armani-black-suit-default\",\"img_height\":265,\"img_width\":370,\"editable\":true}]'),
			(8, 'Lookbook 2', '', '', 370, 370, '0_lookbook2.jpg', '[{\"id\":\"1553479705076\",\"top\":149,\"left\":123,\"width\":30,\"height\":30,\"slug\":\"armani-panel-blue-jean\",\"img_height\":370,\"img_width\":370,\"editable\":true}]'),
			(9, 'Lookbook 3', '', '', 370, 370, '0_lookbook3.jpg', '[{\"id\":\"1553479791152\",\"top\":46,\"left\":108,\"width\":30,\"height\":30,\"slug\":\"women-checked-midi-skirt\",\"img_height\":370,\"img_width\":370,\"editable\":true},{\"id\":\"1553479811315\",\"top\":291,\"left\":196,\"width\":30,\"height\":30,\"slug\":\"girl-dress-suppliers\",\"img_height\":370,\"img_width\":370,\"editable\":true}]'),
			(10, 'Lookbook 4', '', '', 370, 265, '0_lookbook4.jpg', '[{\"id\":\"1553479945226\",\"top\":89,\"left\":233,\"width\":30,\"height\":30,\"slug\":\"men-velour-brown\",\"img_height\":265,\"img_width\":370,\"editable\":true}]'),
			(11, 'Lookbook 5', '', '', 770, 445, '0_lookbook5.jpg', '[{\"id\":\"1553480034643\",\"top\":355,\"left\":89,\"width\":30,\"height\":30,\"slug\":\"girl-dress-suppliers\",\"img_height\":445,\"img_width\":770,\"editable\":true},{\"id\":\"1553480087321\",\"top\":286,\"left\":354,\"width\":30,\"height\":30,\"slug\":\"flower-glass-vase\",\"img_height\":445,\"img_width\":770,\"editable\":true},{\"id\":\"1553480100505\",\"top\":369,\"left\":690,\"width\":30,\"height\":30,\"slug\":\"floral-sleeveless-dress\",\"img_height\":445,\"img_width\":770,\"editable\":true}]'),
			(12, 'Lookbook 6', '', '', 370, 265, '0_lookbook6.jpg', '[{\"id\":\"1553480176303\",\"top\":137,\"left\":141,\"width\":30,\"height\":30,\"slug\":\"purple-coat\",\"img_height\":265,\"img_width\":370,\"editable\":true}]'),
			(13, 'Lookbook 7', '', '', 370, 265, '0_lookbook7.jpg', '[{\"id\":\"1553480239606\",\"top\":134,\"left\":206,\"width\":30,\"height\":30,\"slug\":\"longsleeve-shirt\",\"img_height\":265,\"img_width\":370,\"editable\":true}]'),
			(14, 'Lookbook 8', '', '', 370, 470, 'lookbook8.jpg', '[{\"id\":\"1553483181716\",\"top\":90,\"left\":233,\"width\":30,\"height\":30,\"slug\":\"blue-short-for-men\",\"img_height\":470,\"img_width\":370,\"editable\":true},{\"id\":\"1553483195050\",\"top\":355,\"left\":237,\"width\":30,\"height\":30,\"slug\":\"velour-panel-blue-jean\",\"img_height\":470,\"img_width\":370,\"editable\":true}]'),
			(15, 'Lookbook 9', '', '', 370, 500, '0_lookbook9.jpg', '[{\"id\":\"1553480478831\",\"top\":101,\"left\":89,\"width\":29,\"height\":29,\"slug\":\"handmade-pillow\",\"img_height\":500,\"img_width\":370,\"editable\":true},{\"id\":\"1553480502469\",\"top\":432,\"left\":187,\"width\":30,\"height\":30,\"slug\":\"nice-dining-table\",\"img_height\":500,\"img_width\":370,\"editable\":true}]'),
			(16, 'Lookbook 10', '', '', 370, 405, '0_lookbook10.jpg', '[{\"id\":\"1553481319465\",\"top\":154,\"left\":190,\"width\":30,\"height\":30,\"slug\":\"men-velour-brown\",\"img_height\":405,\"img_width\":370,\"editable\":true}]'),
			(17, 'Lookbook slider1', 'lookbook collection', '', 1920, 912, '0_slider7-1.jpg', '[{\"id\":\"1553586397478\",\"top\":443,\"left\":357,\"width\":30,\"height\":30,\"slug\":\"girl-dress-suppliers\",\"img_height\":912,\"img_width\":1920,\"editable\":true},{\"id\":\"1553586419930\",\"top\":444,\"left\":1491,\"width\":30,\"height\":30,\"slug\":\"longsleeve-shirt\",\"img_height\":912,\"img_width\":1920,\"editable\":true},{\"id\":\"1553586436052\",\"top\":653,\"left\":1406,\"width\":30,\"height\":30,\"slug\":\"purple-fur-coat\",\"img_height\":912,\"img_width\":1920,\"editable\":true}]'),
			(18, 'Lookbook slider2', 'lookbook 2019', '', 1920, 912, 'slider7-2.jpg', '[{\"id\":\"1553586102765\",\"top\":444,\"left\":381,\"width\":30,\"height\":30,\"slug\":\"armani-black-suit-default\",\"img_height\":912,\"img_width\":1920,\"editable\":true},{\"id\":\"1553586131039\",\"top\":666,\"left\":515,\"width\":30,\"height\":30,\"slug\":\"black-suit-default\",\"img_height\":912,\"img_width\":1920,\"editable\":true},{\"id\":\"1553586158076\",\"top\":582,\"left\":1501,\"width\":30,\"height\":30,\"slug\":\"flower-glass-vase\",\"img_height\":912,\"img_width\":1920,\"editable\":true}]'),
			(19, 'Lookbook slider3', 'lookbook style', '', 1920, 912, 'slider7-3.jpg', '[{\"id\":\"1553586212256\",\"top\":331,\"left\":358,\"width\":30,\"height\":30,\"slug\":\"fritz-hansen-objects\",\"img_height\":912,\"img_width\":1920,\"editable\":true},{\"id\":\"1553586232035\",\"top\":694,\"left\":508,\"width\":30,\"height\":30,\"slug\":\"handmade-pillow\",\"img_height\":912,\"img_width\":1920,\"editable\":true},{\"id\":\"1553586247556\",\"top\":658,\"left\":1553,\"width\":30,\"height\":30,\"slug\":\"floral-sleeveless-dress\",\"img_height\":912,\"img_width\":1920,\"editable\":true}]');";
			dbDelta($sql_insert);
		}
    }
    $file = new bwp_lookbook_class();
    $file->create_folder_recursive(LOOKBOOK_UPLOAD_PATH);
    $file->create_folder_recursive(LOOKBOOK_UPLOAD_PATH_THUMB);
	add_option('update2prof_notice', 0,0);
}

register_activation_hook(__FILE__, 'lookbook_install');

register_deactivation_hook(__FILE__, 'lookbook_deactivate');

function lookbook_deactivate() {
    if( !function_exists( 'the_field' )) {
        update_option( 'update2prof_notice', 0 );
    }
}

// Finally initialize code
new WpbingoShortcodesClass();

	
	